import request from '@/utils/request'
import { URL } from '@/config'


/**
 * @name 商家端-退货单数
 * @api api_url + '/admin/shop/analytics/return/getReturnNumToday'
 * @returns {
 *  "today": 830.8,   今日
 *  "yestoday": 0,    昨天
 *  "daym2m": null,   
 *  "month": 830.8    月
 *}
 */

export function getReturnNumToday() {
  return request({
    url: URL.analytics.return.getReturnNumToday,
    method: 'get'
  })
}

export function getReturnNum(params) {
  return request({
    url: URL.analytics.return.getReturnNum,
    method: 'get',
    params,
  })
}

export function getReturnCustomerNumTimeline(params) {
  return request({
    url: URL.analytics.return.getReturnCustomerNumTimeline,
    method: 'get',
    params,
  })
}

export function getReturnNumTimeline(params) {
  return request({
    url: URL.analytics.return.getReturnNumTimeline,
    method: 'get',
    params,
  })
}

export function getReturnAmountTimeline(params) {
  return request({
    url: URL.analytics.return.getReturnAmountTimeline,
    method: 'get',
    params,
  })
}

export function getReturnAmount(params) {
  return request({
    url: URL.analytics.return.getReturnAmount,
    method: 'get',
    params,
  })
}

export function getReturnItemNumTimeLine(params) {
  return request({
    url: URL.analytics.return.getReturnItemNumTimeLine,
    method: 'get',
    params,
  })
}

export function listReturnItemNum(params) {
  return request({
    url: URL.analytics.return.listReturnItemNum,
    method: 'get',
    params,
  })
}

export function getReturnItemNum(params) {
  return request({
    url: URL.analytics.return.getReturnItemNum,
    method: 'get',
    params,
  })
}
